%global with_python3 1

Name:           awake
Version:        1.0
Release:        4%{?dist}
Summary:        A command to 'wake on LAN' a remote host

License:        GPLv3
URL:            https://github.com/cyraxjoe/awake
Source0:        https://github.com/cyraxjoe/awake/archive/v%{version}.zip
BuildArch:      noarch

BuildRequires:  python2-devel

Requires:       python3-awake

%description
A command to 'wake on LAN' a remote host.

%package -n python-%{name}
Summary:        A Python 2 library to 'wake on LAN' a remote host
BuildRequires:  python2-devel 

%description -n python-%{name}
A Python 2 library to 'wake on LAN' a remote host.

%if 0%{?with_python3}
%package -n python3-%{name}
Summary:        A Python 3 library to 'wake on LAN' a remote host
BuildRequires:  python3-devel

%description -n python3-%{name}
A Python 3 library to 'wake on LAN' a remote host.
%endif # if with_python3

%prep
%setup -q
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # if with_python3

%build
%{__python} setup.py build
%if 0%{?with_python3}
# Python 3 bindings
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # if with_python3

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%if 0%{?with_python3}
# Python 3 bindings
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif # if with_python3

%files
%doc CHANGES LICENSE README
%{_bindir}/%{name}

%files -n python-%{name}
%doc CHANGES LICENSE README
%{python2_sitelib}/%{name}/
%{python2_sitelib}/*.egg-info

%if 0%{?with_python3}
%files -n python3-%{name}
%doc CHANGES LICENSE README
%{python3_sitelib}/%{name}/
%{python3_sitelib}/*.egg-info
%endif # with_python3

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Nov 15 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.0-2
- Fix requirements (rhbz#1029247)

* Fri Mar 01 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.0-1
- Initial package
